package fr.velossity.sample.device.impl;

import fr.velossity.sample.device.Device;


/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class MockDeviceImpl implements Device {

	/**
	 * iPOJO injected field.
	 */
	String identifier;
	
	/**
	 * Constructor for iPOJO.
	 */
	public MockDeviceImpl() {
	}
	
	/*
	 * Default constructor.
	 */
	public MockDeviceImpl(String identifier) {
		super();
		this.identifier = identifier;
	}

	public String getIdentifier() {
		return identifier;
	}

	public String getType() {
		return "Mock";
	}

	/**
	 * Mock device is always functional
	 */
	public String getState() {
		return DEVICE_STATE_FUNCTIONAL;
	}

}
